#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 32. KDE Plasma

- Prev

  kirigami-addons-1.10.0

- Next

  qtkeychain-0.15.0

- Up
- Home

# pulseaudio-qt-1.8.1

## Introduction to pulseaudio-qt

This package is a Qt-based wrapper for PulseAudio-17.0. It allows for querying and manipulating various PulseAudio objects, including Sinks, Sources, and Streams. It does not wrap the full feature set of libpulse, but rather only what is needed for KDE.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/pulseaudio-qt/pulseaudio-qt-1.8.1.tar.xz

- Download MD5 sum: fa37fbba12097a6ff276f0a29ddec20f

- Download size: 44 KB

- Estimated disk space required: 8.5 MB

- Estimated build time: 0.3 SBU

### Konsole Dependencies

#### Required

KDE Frameworks-6.23.0 and PulseAudio-17.0

## Installation of pulseaudio-qt

Install pulseaudio-qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_PREFIX_PATH=$QT6DIR        \
          -D CMAKE_SKIP_INSTALL_RPATH=ON      \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          .. &&
    make

Now as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libKF6PulseAudioQt.so
Installed Directories: $KF6_PREFIX/lib/cmake/KF6PulseAudioQt and $KF6_PREFIX/include/KF6/KF6PulseAudioQt

- Prev

  kirigami-addons-1.10.0

- Next

  qtkeychain-0.15.0

- Up
- Home